Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

It seems like bold smallcaps don't work with libertineotf any longer? I am currently adjusting an old template which I was using with pdflatex, and I need those bold small caps:

\documentclass{standalone}

\usepackage{libertineotf}

\begin{document}
\huge
Test

\bfseries
Test

\scshape
Test

\end{document}
share|improve this question
    
Yes, this is a known bug -- which actually was reported with almost the very same code you're using here?! –  doncherry Nov 25 '12 at 17:16
    
Haha, funny coincidence. I meant to use the minimal document class first, but \huge didn't work, so I settled with standalone instead. –  mSSM Nov 25 '12 at 17:19
2  
That's why we don't use minimal for minimals :). As long as you're not providing an image, I'd even choose article over standalone, since the former is more basic. –  doncherry Nov 25 '12 at 17:21

1 Answer 1

up vote 6 down vote accepted

use

\usepackage{libertine}


instead. With a current TeXLive or MiKTeX it should work. In both cases you can update your system if it is not up-to-date with the package manager. If you are using the TL from Ubuntu or another Linux distro then update the package libertine from ctan, eg: http://ftp.fernuni-hagen.de/ftp-dir/pub/mirrors/www.ctan.org/fonts/libertine.zip (not all mirrors provide a zip). After installing move the old libertine-legacy and libertineotf to /tmp or elsewhere. Then run sudo texhash and sudo updmap --enable Map=libertine.map

Alternetively you can use Libertine without using a package:

\documentclass{article}

\usepackage{fontspec}

\setmainfont%[SmallCapsFeatures={Letters=SmallCaps}]
     {Linux Libertine O}

\begin{document}
    
...

then you also get bold Small Caps.

enter image description here

share|improve this answer
    
My texlive is from July 2012, so I think it is not recent enough yet. When using libertine instead of libertineotfI am getting missing font errors: LaTeX Font Warning: Font shape OT1/fxl/m/n' undefined (Font) using OT1/cmr/m/n' instead on input line 5. –  mSSM Nov 25 '12 at 17:07
    
@mSSM: Yes, the Linux Libertine packages have been in an awkward state of transition since about Nov 2011, when the developers decided to drop pdfLaTeX support. Some people, including Herbert, thankfully made the effort to maintain a package that works with pdfLaTeX -- but it's been in a process of settling in, and there were a few different approaches. The latest (which Herbert is probably referring to) is just one or two weeks old. –  doncherry Nov 25 '12 at 17:19
    
@mSSM: I edited my answer –  Herbert Nov 25 '12 at 17:30
    
Can you remind me what the advantage of using libertineotf over loading libertine with fontspec is to begin with? –  mSSM Nov 25 '12 at 17:46
2  
@mSSM: libertineotf is deprecated and libertine tries to support all engines: LuaTeX, XeTeX and PDFTeX. And, of course, it fixes a bug of libertineotf. However it is still possible to define the font setting by yourself. –  Herbert Nov 25 '12 at 17:50

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.